# ElementTypeMap | ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

### Hierarchy

- ElementTypeMap

## Index

### Properties

- bool
- float16
- float32
- float64
- int16
- int32
- int64
- int8
- string
- uint16
- uint32
- uint64
- uint8

## Properties

### bool

bool: boolean

- Defined in tensor.ts:56

### float16

float16: never

- Defined in tensor.ts:57

### float32

float32: number

- Defined in tensor.ts:48

### float64

float64: number

- Defined in tensor.ts:58

### int16

int16: number

- Defined in tensor.ts:52

### int32

int32: number

- Defined in tensor.ts:53

### int64

int64: bigint

- Defined in tensor.ts:54

### int8

int8: number

- Defined in tensor.ts:50

### string

string: string

- Defined in tensor.ts:55

### uint16

uint16: number

- Defined in tensor.ts:51

### uint32

uint32: number

- Defined in tensor.ts:59

### uint64

uint64: bigint

- Defined in tensor.ts:60

### uint8

uint8: number

- Defined in tensor.ts:49

Generated using TypeDoc